Page MenuHomePhabricator

MediaViewer should ignore generated captions on special pages
Closed, ResolvedPublic

Description

Most special pages which list images (MostLinkedFiles, MostGloballyLinkedFiles, NewFiles, UncategorizedFiles, UnusedFiles) generate a caption from the filename and some basic information such as image size. MediaViewer picks this up and displays it as a caption; it should fall back to showing the file page description instead (which it does when there is no caption at all).

This is a more generic version of T77691.

Event Timeline

Tgr created this task.Dec 23 2014, 6:12 PM
Tgr raised the priority of this task from to Needs Triage.
Tgr updated the task description. (Show Details)
Tgr set Security to None.
Tgr added a subscriber: Tgr.
Namit claimed this task.Dec 24 2014, 2:06 PM

Change 181747 had a related patch set uploaded (by Namit):
Ignore generated captions on special file related pages

https://gerrit.wikimedia.org/r/181747

Patch-For-Review

Change 181747 merged by jenkins-bot:
Ignore generated captions on special file related pages

https://gerrit.wikimedia.org/r/181747

Tgr closed this task as Resolved.Dec 25 2014, 4:22 AM